<template>
  <div>
    <el-popconfirm title="确定删除当前目标吗？" @confirm="deleteRow()">
      <el-button slot="reference" size="mini" type="text" :disabled="disabled">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  name: '',
  props:['id','disabled'],
  data() {
    return {
    };
  },
  computed:{
  },
  watch:{
  },
  methods: {
    async deleteRow() {
      let res = await this.$api.requested({
        "id":'20221229141102',
        "content": {
          sa_salestargetbillid:this.id,
          sa_contractid:this.$route.query.id
        }
      })
      this.tool.showMessage(res,() => {
        this.$emit('onSuccess')
      })
    },
  },
};
</script>

<style scoped>

</style>
